Package org.opensaml.core.config

# Interface ConfigurationPropertiesSource

All Known Implementing Classes:
  `AbstractFilesystemConfigurationPropertiesSource`, `ClasspathConfigurationPropertiesSource`, `SpringConfigurationPropertiesSource`, `SystemPropertyConfigurationPropertiesSource`, `SystemPropertyFilesystemConfigurationPropertiesSource`, `ThreadLocalConfigurationPropertiesSource`

public interface ConfigurationPropertiesSource
An interface for a component which exposes a property set from a source.

## Method Summary

Modifier and Type
Method
Description
`ConfigurationProperties`
`getProperties()`
Get the property set exposed by the source.

## Method Details

### getProperties

@Nullable ConfigurationProperties getProperties()
Get the property set exposed by the source.

Returns:
  the properties set or null